summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2016-04-26 07:33:24 +0200
committerJeroen Roovers <jer@gentoo.org>2016-04-26 07:34:29 +0200
commitc9251f05fd74a19db900ebfd7910d7af6457a8e8 (patch)
tree43e9754912893ee79cd7114e07e6197a729a9242 /www-client
parentdev-ruby/http-form_data: add ruby23 revision (diff)
downloadgentoo-c9251f05fd74a19db900ebfd7910d7af6457a8e8.tar.gz
gentoo-c9251f05fd74a19db900ebfd7910d7af6457a8e8.tar.bz2
gentoo-c9251f05fd74a19db900ebfd7910d7af6457a8e8.zip
www-client/vivaldi: Version bump.
Package-Manager: portage-2.2.28
Diffstat (limited to 'www-client')
-rw-r--r--www-client/vivaldi/Manifest2
-rw-r--r--www-client/vivaldi/vivaldi-1.1.453.45_p1.ebuild109
2 files changed, 111 insertions, 0 deletions
diff --git a/www-client/vivaldi/Manifest b/www-client/vivaldi/Manifest
index 27d9fd2d3fc..034eea78ec6 100644
--- a/www-client/vivaldi/Manifest
+++ b/www-client/vivaldi/Manifest
@@ -4,3 +4,5 @@ DIST vivaldi-1.1.453.36_p1-amd64.deb 44521802 SHA256 9e86d5c7060e2d0bb77b6de8f1f
DIST vivaldi-1.1.453.36_p1-i386.deb 45045264 SHA256 07fd087bf0c4c7caa0e4119f9a2f2d43e484b4732831afbb18e49bb3de9cc99d SHA512 2a2ccb8337913795b70561cbffa00a8a746dfa730dab14982e9c7c811000817298dde43cb2d3716c74053d1023b7d5885ed8f15d889e2901a49f8a2d354ae3bd WHIRLPOOL 79f29da63aa189f77d435318a376bebb829e15b542b4996140bf10aa4168fa7dc852681fa716b659bfce55f66effe732461e431d876a7b05330558c0a851463e
DIST vivaldi-1.1.453.43_p1-amd64.deb 44676860 SHA256 914d1f01c679ed0ff38479b7b7d327b630ef8e47cf6f91bb57561a248205f79d SHA512 853c1b2ac665b5523852dab8718d7e61f151b3aa20529f27b48af0815ff718e61121b53133cf2db1cdbb5ea2713195584eda516033c33cfb591f30969a352564 WHIRLPOOL 62fd97559956927886f0cee565702b33fea050b0b2ab6d3a9c06472aeb6459762f86f3eb1b6c4df8fe0f740d9399c1c11978506b7d98fccab3fc4a9e54ced3c0
DIST vivaldi-1.1.453.43_p1-i386.deb 45170654 SHA256 1076c64e6bf2fba98a94aefb9d5ab04a381f896ca1041cc617efbc69093a1ab3 SHA512 c196d6bbed1905d5e9b6aa88215e0dfe7ed09aa09de25cce7615c4f8527948e748e05c794c7ea4afea2c91e3d52796e3f4055992083412bd312de08fcc30881b WHIRLPOOL 0c478220dcc3095d1fabf619f2000f81b5ff1c20af92afb5dd3e4b19e77a97d4f9b10bb046a095428f9df142be51438abf98d247a296e57e92a38131876f4e3b
+DIST vivaldi-1.1.453.45_p1-amd64.deb 44659298 SHA256 a0f9f8cf2b9c9312363a1bc7c4d7312e031158cfe6ed897d75b51f8c0750c971 SHA512 6cd092ceafb6d7d35a7fc2fb9efa84e24a16e0f679d0d277d71d6a5e5ca270f39b1faf1def9346e8bef8b1969b36a0b54a35d7bea6e76f07120e4e5d7c0d763c WHIRLPOOL 4e66ced40f1897a87ae8c910d5560f285858e4c6d5f126aefe3eb8be574135bd8f74c8f09092e902e8e4ece9f2b37290d3b4e1bddd2488ba77bbecc496992ee7
+DIST vivaldi-1.1.453.45_p1-i386.deb 45223954 SHA256 76796b9abe965578178d395c725b7dacca942982781f479809d53077eadf8dde SHA512 34ac78970e948860dc3aef668bd8cd9599ce1c743528afe008d51cde66992e512c6a971929a990eb5eed7cd5572375af82c7bd5f787daab85a1f81cf25b83257 WHIRLPOOL dec934064d8372ae3d6c76c9d7da0d4bdbbb1ac788e51bf252fb0c3dc7ec3f9acb75116d834b371ea8a9349ab3b14e568def67dd6c35c2ba471ebfc68a44ecb9
diff --git a/www-client/vivaldi/vivaldi-1.1.453.45_p1.ebuild b/www-client/vivaldi/vivaldi-1.1.453.45_p1.ebuild
new file mode 100644
index 00000000000..d2d3d9ca0f9
--- /dev/null
+++ b/www-client/vivaldi/vivaldi-1.1.453.45_p1.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+CHROMIUM_LANGS="
+ am ar bg bn ca cs da de el en_GB en_US es_419 es et fa fil fi fr gu he hi
+ hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr sv
+ sw ta te th tr uk vi zh_CN zh_TW
+"
+inherit chromium eutils multilib unpacker toolchain-funcs
+
+DESCRIPTION="A new browser for our friends"
+HOMEPAGE="http://vivaldi.com/"
+VIVALDI_BASE_URI="http://downloads.vivaldi.com/snapshot/${PN}-snapshot_${PV/_p/-}_"
+SRC_URI="
+ amd64? ( ${VIVALDI_BASE_URI}amd64.deb -> ${P}-amd64.deb )
+ x86? ( ${VIVALDI_BASE_URI}i386.deb -> ${P}-i386.deb )
+"
+
+LICENSE="Vivaldi"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+
+RESTRICT="bindist mirror"
+
+S=${WORKDIR}
+
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ >=dev-libs/openssl-1.0.1:0
+ gnome-base/gconf:2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ net-misc/curl
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/libcap
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango[X]
+"
+
+QA_PREBUILT="*"
+S=${WORKDIR}
+VIVALDI_HOME="opt/${PN}-snapshot"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ sed -i \
+ -e "s|@LIBDIR@|$(get_libdir)|g" \
+ opt/vivaldi-snapshot/vivaldi-snapshot || die
+
+ sed -i \
+ -e 's|vivaldi-snapshot|vivaldi|g' \
+ usr/share/applications/${PN}-snapshot.desktop \
+ usr/share/xfce4/helpers/${PN}-snapshot.desktop || die
+
+ mv usr/share/doc/${PN}-snapshot usr/share/doc/${PF} || die
+
+ rm \
+ _gpgbuilder \
+ etc/cron.daily/${PN}-snapshot \
+ usr/bin/${PN}-snapshot \
+ || die
+ rmdir \
+ etc/cron.daily/ \
+ etc/ \
+ || die
+
+ local c d
+ for d in 16 22 24 32 48 64 128 256; do
+ mkdir -p usr/share/icons/hicolor/${d}x${d}/apps || die
+ cp \
+ ${VIVALDI_HOME}/product_logo_${d}.png \
+ usr/share/icons/hicolor/${d}x${d}/apps/vivaldi.png || die
+ done
+
+ pushd "${VIVALDI_HOME}/locales" > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+}
+
+src_install() {
+ mv * "${D}" || die
+ dosym /${VIVALDI_HOME}/${PN}-snapshot /usr/bin/${PN}
+
+ fperms 4711 /${VIVALDI_HOME}/${PN}-sandbox
+}